Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Intel core 2 duo welke gentoo versie?
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Dutch
View previous topic :: View next topic  
Author Message
hema
n00b
n00b


Joined: 11 Apr 2007
Posts: 50
Location: Vlissingen, Netherlands

PostPosted: Wed Apr 11, 2007 8:20 pm    Post subject: Intel core 2 duo welke gentoo versie? Reply with quote

Beste mensen,

Ik heb een intel core 2 duo processor. Ik ben aan het werk met het animatieprogramma blender www.blender.org en dan vooral met de fluid module.
Mijn doel is om gentoo versie te maken voor optimale snelheid van blender.
Welke gentoo versie moet ik gebruiken?

Lijkt mij dat ik een versie van gentoo moet hebben, die optimaal gebruik maakt van 64bit en de twee processoren.
Vervolgens wil ik blender op mijn systeem compileren voor optimale snelheid.

Wie heeft tips.
_________________
Computers = patience needed
Computers + gentoo = double patience needed

Met groeten uit Vlissingen
Henk
Back to top
View user's profile Send private message
garo
Moderator
Moderator


Joined: 15 Jul 2002
Posts: 860
Location: Edegem,BELGIUM

PostPosted: Thu Apr 12, 2007 12:16 pm    Post subject: Reply with quote

Versie 2006.1
En de handleiding hiervoor staat op : http://www.gentoo.org/doc/en/handbook/handbook-amd64.xml (geen Nederlandstalige versie bereikbaar voor 64bits)
In deze handleiding staat ook waar je de installatiemedia moet downloaden
_________________
My favorite links this month:
- Surf Random
- Web-based SSH
- Stop Spam
Back to top
View user's profile Send private message
greya
n00b
n00b


Joined: 15 Apr 2007
Posts: 1

PostPosted: Sun Apr 15, 2007 9:49 am    Post subject: Re: Intel core 2 duo welke gentoo versie? Reply with quote

hema wrote:
Beste mensen,

Ik heb een intel core 2 duo processor. Ik ben aan het werk met het animatieprogramma blender www.blender.org en dan vooral met de fluid module.
Mijn doel is om gentoo versie te maken voor optimale snelheid van blender.
Welke gentoo versie moet ik gebruiken?

Lijkt mij dat ik een versie van gentoo moet hebben, die optimaal gebruik maakt van 64bit en de twee processoren.
Vervolgens wil ik blender op mijn systeem compileren voor optimale snelheid.

Wie heeft tips.


yep als je een amd64 bit hebt moet je deze pakken
in je /etc/make.conf --> MAKEOPTS="-j3"

de -j3 staat voor 2 processoren

in USE flags wel de optie multilib gebruiken zodat je ook 32bit pakketten kunt installeren
gezien je progje volgens mij 32bit pakketje is

daarna gewoon "emerge blender" dit pakketje wordt ondersteund in de portage

:D

bye
Back to top
View user's profile Send private message
hema
n00b
n00b


Joined: 11 Apr 2007
Posts: 50
Location: Vlissingen, Netherlands

PostPosted: Sun Apr 15, 2007 10:53 am    Post subject: Reply with quote

Goede tips allemaal.
Van blender is de source beschikbaar. I vroeg mij af of het mogelijk is om blender als 64bits programma te compileren met gcc.
Of is dit te simpel geredeneerd. Ik ken gcc en linux "nog" niet goed genoeg om dit te kunnen beoordelen.

Dit alles met 1 doel, blender zo optimaal te laten presteren.

Groeten uit Tropisch Vlissingen, prima zaak die opwarming van de aarde!!!!!!
_________________
Computers = patience needed
Computers + gentoo = double patience needed

Met groeten uit Vlissingen
Henk
Back to top
View user's profile Send private message
durian
Guru
Guru


Joined: 16 Jul 2003
Posts: 312
Location: Margretetorp

PostPosted: Sun Apr 15, 2007 2:46 pm    Post subject: Reply with quote

hema wrote:
Goede tips allemaal.
Van blender is de source beschikbaar. I vroeg mij af of het mogelijk is om blender als 64bits programma te compileren met gcc.
Of is dit te simpel geredeneerd. Ik ken gcc en linux "nog" niet goed genoeg om dit te kunnen beoordelen.
Nee, dat is hoe het werkt. En vooral makkelijk met Gentoo, een
Code:
emerge blender

en het zou geinstalleerd moeten zijn.

Ik zie alleen ~amd64 gemaskt is, maar dat hoeft niet te betekenen dat het niet gaat.

-peter
Back to top
View user's profile Send private message
hema
n00b
n00b


Joined: 11 Apr 2007
Posts: 50
Location: Vlissingen, Netherlands

PostPosted: Sun Apr 15, 2007 8:09 pm    Post subject: Reply with quote

[/quote]Ik zie alleen ~amd64 gemaskt is, maar dat hoeft niet te betekenen dat het niet gaat.
-peter[/quote]

Ik blijf nog even een noob. Wat betekent deze zin? ~amd64 gemaskt??
_________________
Computers = patience needed
Computers + gentoo = double patience needed

Met groeten uit Vlissingen
Henk
Back to top
View user's profile Send private message
liber!
Tux's lil' helper
Tux's lil' helper


Joined: 05 Aug 2004
Posts: 123
Location: EU, Antwerp

PostPosted: Sun Apr 15, 2007 8:34 pm    Post subject: Reply with quote

hema wrote:

Ik blijf nog even een noob. Wat betekent deze zin? ~amd64 gemaskt??

Dat er geen garantie is dat het zal werken. Alle nieuwe pakketten worden eerst gemaskt en na wat testen krijgen ze een stable mask (deze is gewoon amd64 of x86). Er is echter wel veel kans dat de software probleemloos werkt.

Je hebt ook nog de mask voor software die zeker niet zal werken: "-amd64".

Je kan op verschillende manieren packages unmaske'n. Zie hiervoor even naar: http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?part=3&chap=3

Veel succes!
Back to top
View user's profile Send private message
Rainmaker
Veteran
Veteran


Joined: 12 Feb 2004
Posts: 1650
Location: /home/NL/ehv/

PostPosted: Thu Apr 19, 2007 1:21 am    Post subject: Reply with quote

Volgens mij compileert een "emerge bender" gewoon een 64 bit variant voor je hoor:

Quote:
...
Compiling ==> 'sceneTimeLine.c'
Compiling ==> 'vector.c'
Compiling ==> 'windowTheme.c'
Linking library ==> 'libblender_python.a'
Compiling ==> 'raddisplay.c'
Compiling ==> 'radfactors.c'
Compiling ==> 'radio.c'
...


Ziet er niet uit als een binair pakket...

*edit: ja hoor:

Quote:
Medusa ~ $ file `which blender`
/usr/bin/blender: ELF 64-bit LSB executable, x86-64, version 1 (SYSV), for GNU/Linux 2.6.9, dynamically linked (uses shared libs), stripped


Oftewel: een "emerge blender" geeft je een 64bit versie.

*edit2: hmmm, de binairy is dan wel 64-bit, maar hij geeft bij het runnen:

Quote:
Medusa ~ $ blender
64 bits compiles will give incorrectly saved .blend files. Do not use it.

*** If you continue to run this executable, you really are quite stupid ***

guessing 'blender' == '/usr/bin/blender'
Compiled with Python version 2.4.
Checking for installed Python... got it!


Weet dus niet zeker of dit fatsoenlijk gaat werken, zul je ben ik bang gewoon moeten proberen...
_________________
If you can't dazzle them with brilliance, baffle them with bullshit.
Back to top
View user's profile Send private message
hema
n00b
n00b


Joined: 11 Apr 2007
Posts: 50
Location: Vlissingen, Netherlands

PostPosted: Thu Apr 19, 2007 3:37 pm    Post subject: Reply with quote

Bedankt voor het proberen.

Mijn "hoofd" vaste schijf is gecrashed. zit nog in de garantie. Ik moet dus nog even wachten totdat ik mijn nieuwe schijf heb, dan ga ik aan de slag.
Ik laat de resultaten wel weten.
_________________
Computers = patience needed
Computers + gentoo = double patience needed

Met groeten uit Vlissingen
Henk
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Dutch All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum